summaryrefslogtreecommitdiff
path: root/.config/ranger
diff options
context:
space:
mode:
authorRoger Gonzalez <roger@rogs.me>2020-04-18 16:07:38 -0300
committerRoger Gonzalez <roger@rogs.me>2020-04-18 16:07:38 -0300
commit80998e75c145648ff31ee6bd99536f8269d84f5a (patch)
tree328273e05a03f7402c1df7732ad12d41b1794f1a /.config/ranger
parent4f3a3ffa9d27dfb83ed5a67a1cbf821f22f45d9b (diff)
Improved ranger config
Diffstat (limited to '.config/ranger')
-rw-r--r--.config/ranger/rifle.conf53
-rwxr-xr-x.config/ranger/scope.sh24
2 files changed, 12 insertions, 65 deletions
diff --git a/.config/ranger/rifle.conf b/.config/ranger/rifle.conf
index d93e546f..3c2b39ea 100644
--- a/.config/ranger/rifle.conf
+++ b/.config/ranger/rifle.conf
@@ -54,33 +54,7 @@
# Rarely installed browsers get higher priority; It is assumed that if you
# install a rare browser, you probably use it. Firefox/konqueror/w3m on the
# other hand are often only installed as fallback browsers.
-ext x?html?, has surf, X, flag f = surf -- file://"$1"
-ext x?html?, has vimprobable, X, flag f = vimprobable -- "$@"
-ext x?html?, has vimprobable2, X, flag f = vimprobable2 -- "$@"
-ext x?html?, has qutebrowser, X, flag f = qutebrowser -- "$@"
-ext x?html?, has dwb, X, flag f = dwb -- "$@"
-ext x?html?, has jumanji, X, flag f = jumanji -- "$@"
-ext x?html?, has luakit, X, flag f = luakit -- "$@"
-ext x?html?, has uzbl, X, flag f = uzbl -- "$@"
-ext x?html?, has uzbl-tabbed, X, flag f = uzbl-tabbed -- "$@"
-ext x?html?, has uzbl-browser, X, flag f = uzbl-browser -- "$@"
-ext x?html?, has uzbl-core, X, flag f = uzbl-core -- "$@"
-ext x?html?, has midori, X, flag f = midori -- "$@"
-ext x?html?, has opera, X, flag f = opera -- "$@"
-ext x?html?, has firefox, X, flag f = firefox -- "$@"
-ext x?html?, has seamonkey, X, flag f = seamonkey -- "$@"
-ext x?html?, has iceweasel, X, flag f = iceweasel -- "$@"
-ext x?html?, has chromium-browser, X, flag f = chromium-browser -- "$@"
-ext x?html?, has chromium, X, flag f = chromium -- "$@"
-ext x?html?, has google-chrome, X, flag f = google-chrome -- "$@"
-ext x?html?, has epiphany, X, flag f = epiphany -- "$@"
-ext x?html?, has konqueror, X, flag f = konqueror -- "$@"
ext x?html?, has brave, X, flag f = brave -- "$@"
-ext x?html?, has elinks, terminal = elinks "$@"
-ext x?html?, has links2, terminal = links2 "$@"
-ext x?html?, has links, terminal = links "$@"
-ext x?html?, has lynx, terminal = lynx -- "$@"
-ext x?html?, has w3m, terminal = w3m "$@"
#-------------------------------------------
# Misc
@@ -141,18 +115,6 @@ mime ^video, terminal, !X, has mplayer = mplayer -- "$@"
#-------------------------------------------
# Documents
#-------------------------------------------
-ext pdf, has llpp, X, flag f = llpp "$@"
-ext pdf, has zathura, X, flag f = zathura -- "$@"
-ext pdf, has mupdf, X, flag f = mupdf "$@"
-ext pdf, has mupdf-x11,X, flag f = mupdf-x11 "$@"
-ext pdf, has apvlv, X, flag f = apvlv -- "$@"
-ext pdf, has xpdf, X, flag f = xpdf -- "$@"
-ext pdf, has evince, X, flag f = evince -- "$@"
-ext pdf, has atril, X, flag f = atril -- "$@"
-ext pdf, has okular, X, flag f = okular -- "$@"
-ext pdf, has epdfview, X, flag f = epdfview -- "$@"
-ext pdf, has qpdfview, X, flag f = qpdfview "$@"
-ext pdf, has open, X, flag f = open "$@"
ext pdf, has xreader, X, flag f = xreader "$@"
ext docx?, has catdoc, terminal = catdoc -- "$@" | "$PAGER"
@@ -179,23 +141,8 @@ ext cbz, has zathura, X, flag f = zathura -- "$@"
#-------------------------------------------
# Images
#-------------------------------------------
-mime ^image/svg, has inkscape, X, flag f = inkscape -- "$@"
-mime ^image/svg, has display, X, flag f = display -- "$@"
mime ^image/svg, has xviewer, X, flag f = xviewer -- "$@"
-mime ^image, has imv, X, flag f = imv -- "$@"
-mime ^image, has pqiv, X, flag f = pqiv -- "$@"
-mime ^image, has sxiv, X, flag f = sxiv -- "$@"
-mime ^image, has feh, X, flag f = feh -- "$@"
-mime ^image, has mirage, X, flag f = mirage -- "$@"
-mime ^image, has ristretto, X, flag f = ristretto "$@"
-mime ^image, has eog, X, flag f = eog -- "$@"
-mime ^image, has eom, X, flag f = eom -- "$@"
-mime ^image, has nomacs, X, flag f = nomacs -- "$@"
-mime ^image, has geeqie, X, flag f = geeqie -- "$@"
-mime ^image, has gpicview, X, flag f = gpicview -- "$@"
-mime ^image, has gwenview, X, flag f = gwenview -- "$@"
-mime ^image, has gimp, X, flag f = gimp -- "$@"
mime ^image, has xviewer, X, flag f = xviewer -- "$@"
ext xcf, X, flag f = gimp -- "$@"
diff --git a/.config/ranger/scope.sh b/.config/ranger/scope.sh
index 4ad52aad..e24b514a 100755
--- a/.config/ranger/scope.sh
+++ b/.config/ranger/scope.sh
@@ -154,10 +154,10 @@ handle_image() {
exit 7;;
## Video
- # video/*)
- # # Thumbnail
- # ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
- # exit 1;;
+ video/*)
+ # Thumbnail
+ ffmpegthumbnailer -i "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" -s 0 && exit 6
+ exit 1;;
## PDF
application/pdf)
@@ -171,14 +171,14 @@ handle_image() {
## ePub, MOBI, FB2 (using Calibre)
- # application/epub+zip|application/x-mobipocket-ebook|\
- # application/x-fictionbook+xml)
- # # ePub (using https://github.com/marianosimone/epub-thumbnailer)
- # epub-thumbnailer "${FILE_PATH}" "${IMAGE_CACHE_PATH}" \
- # "${DEFAULT_SIZE%x*}" && exit 6
- # ebook-meta --get-cover="${IMAGE_CACHE_PATH}" -- "${FILE_PATH}" \
- # >/dev/null && exit 6
- # exit 1;;
+ application/epub+zip|application/x-mobipocket-ebook|\
+ application/x-fictionbook+xml)
+ # ePub (using https://github.com/marianosimone/epub-thumbnailer)
+ epub-thumbnailer "${FILE_PATH}" "${IMAGE_CACHE_PATH}" \
+ "${DEFAULT_SIZE%x*}" && exit 6
+ ebook-meta --get-cover="${IMAGE_CACHE_PATH}" -- "${FILE_PATH}" \
+ >/dev/null && exit 6
+ exit 1;;
## Font
application/font*|application/*opentype)